Package ru.bitel.bgbilling.modules.bill.server.bean

# Class AccountManager

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.AccountManager

    public class AccountManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AccountManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `deleteBankAccount​(int id)` |
  `java.util.List<Account>` | `getAccountList()` |
  `java.util.List<IdTitle>` | `getAccountTitleList​(int organizationId, java.lang.Boolean inUse)` |
  `BankAccount` | `getBankAccount​(int id)` |
  `java.util.List<BankAccount>` | `getBankAccountList​(int organizationId, java.lang.Boolean inUse)` |
  `BankAccount` | `getDefaultBankAccount​(int organizationId)` |
  `static int` | `getPaymentTypeId​(java.sql.Connection con, int moduleId, int accountId)` |
  `void` | `setDefaultBankAccount​(int bankAccountId, int organizationId)` |
  `int` | `updateAccount​(Account account)` |
  `void` | `updateBankAccount​(BankAccount bankAccount)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccountManager

    public AccountManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getAccountList

    public java.util.List<Account> getAccountList()

  - ### getBankAccountList

    public java.util.List<BankAccount> getBankAccountList​(int organizationId, java.lang.Boolean inUse)

  - ### getBankAccount

    public BankAccount getBankAccount​(int id)

  - ### updateBankAccount

    public void updateBankAccount​(BankAccount bankAccount)

  - ### updateAccount

    public int updateAccount​(Account account)

  - ### setDefaultBankAccount

    public void setDefaultBankAccount​(int bankAccountId, int organizationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDefaultBankAccount

    public BankAccount getDefaultBankAccount​(int organizationId)

  - ### deleteBankAccount

    public int deleteBankAccount​(int id)

  - ### getPaymentTypeId

    public static int getPaymentTypeId​(java.sql.Connection con, int moduleId, int accountId)

  - ### getAccountTitleList

    public java.util.List<IdTitle> getAccountTitleList​(int organizationId, java.lang.Boolean inUse)